const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=WAGGA",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_22156_15824_600": { camera: [21175, 17122, 62647], scene: [21175, 17122, 2939] }, // Default
		
		"_20016_23672_600": { camera: [21173, 17413, 62646], scene: [21175, 17122, 2939] }, // Wagga_WF-G01
		"_21765_15993_600": { camera: [21175, 17122, 62647], scene: [21175, 17122, 2939] } // Wagga_WF-G02
		
		},
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [4, 4, 6],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    insideAreaDelta: 300,
    useFlyAnimation: false,
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    zoneButtonUseLongName: false,
	multiFloorTransition: false,
    multiFloorTransitionInclineAngle: 75,
    heightSpread: 22000, // cm
    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
    qrDarkColor: "#53565A",
    maxPOIsResults: 300,

    clockDateFormat: "ddd, D MMMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Frankston East, AU"
};

const customMainServicesCodes = ["toilets_disabled", "management", "atm_"];
const servicesWithResultsList = ["atm_", "security", "parking"];
const servicesWithResultsListSortField = "cellId";